kio Library: KFileMimeTypeInfo::GroupInfo Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KFileMimeTypeInfo::GroupInfo Class Reference

This is the class for one group of items of a KFileMimeTypeInfo. Information about a meta information group. More...

`#include <kfilemetainfo.h>`

Collaboration diagram for KFileMimeTypeInfo::GroupInfo:

[legend]
List of all members.

## Public Member Functions
QStringList | supportedKeys () const
const QString & | name () const
const QString & | translatedName () const
const ItemInfo * | itemInfo (const QString &key) const
uint | attributes () const
bool | supportsVariableKeys () const
const ItemInfo * | variableItemInfo () const
## Friends
class | KFilePlugin
class | KFileMimeTypeInfo

## Detailed Description

This is the class for one group of items of a KFileMimeTypeInfo. Information about a meta information group.

It contains, among other things, the information about the group's name and a list of supported items.

Definition at line 135 of file kfilemetainfo.h.

## Member Function Documentation

QStringList KFileMimeTypeInfo::GroupInfo::supportedKeys | ( |  | ) | const`[inline]`

| Use this method to get a list of keys in the specified group that the plugin knows about. No variable keys. For a group that doesn't support variable keys, all keys that this group may have are returned. For a group that does support them, the non-variable ones are returned. See KFileMetaInfo about variable keys Returns: the list of keys supported for this mimetype Definition at line 151 of file kfilemetainfo.h. Referenced by KFileMetaInfo::addGroup(), and KFileMetaInfo::saveItem().

const QString& KFileMimeTypeInfo::GroupInfo::name | ( |  | ) | const`[inline]`

| Use this method to get the name of the group. This string doesn't depend on the user's locale settings Returns: the group name Definition at line 162 of file kfilemetainfo.h.

const QString& KFileMimeTypeInfo::GroupInfo::translatedName | ( |  | ) | const`[inline]`

| Use this method to get the string to display to the user as group name. This may be different to name() and it returns the name in the user's language Returns: the translated group name Definition at line 174 of file kfilemetainfo.h.

const KFileMimeTypeInfo::ItemInfo * KFileMimeTypeInfo::GroupInfo::itemInfo | ( | const QString & | key | ) | const

| A group object can contain several item objects (of which you can get the names with supportedKeys() . With this method, you can get one of those item objects. See ItemInfo Returns: a pointer to the item info. Don't delete this object! Definition at line 1544 of file kfilemetainfo.cpp. References QDict::find(). Referenced by KFileMetaInfo::addGroup(), and KFileMetaInfoGroup::addItem().

uint KFileMimeTypeInfo::GroupInfo::attributes | ( |  | ) | const`[inline]`

| Get the attributes of this group (see Attributes). Returns: the attributes Definition at line 193 of file kfilemetainfo.h. Referenced by KFileMetaInfo::editableGroups().

bool KFileMimeTypeInfo::GroupInfo::supportsVariableKeys | ( |  | ) | const`[inline]`

| Returns: true if this group supports adding or removing arbitrary keys, false if not. Definition at line 202 of file kfilemetainfo.h.

const ItemInfo* KFileMimeTypeInfo::GroupInfo::variableItemInfo | ( |  | ) | const`[inline]`

| If the group supports variable keys, you can query their item info with this method. The main reason for this is that you can get the type and attributes of variable keys. Returns: a pointer to the item info. Don't delete this object! Definition at line 214 of file kfilemetainfo.h. Referenced by KFileMetaInfoGroup::addItem().

The documentation for this class was generated from the following files:

- kfilemetainfo.h
- kfilemetainfo.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:42 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003